[-]
[+]
|
Added |
bacula.changes
|
|
[-]
[+]
|
Added |
bacula.spec
^
|
|
[-]
[+]
|
Added |
bacula-2.4.4-cflags.diff
^
|
@@ -0,0 +1,11 @@
+--- src/tools/Makefile.in
++++ src/tools/Makefile.in
+@@ -101,7 +101,7 @@
+ -lsql -lbac -lm $(DB_LIBS) $(LIBS) $(GETTEXT_LIBS) $(OPENSSL_LIBS)
+
+ gigaslam.o: gigaslam.c
+- $(CC) -c $<
++ $(CC) $(CFLAGS) -c $<
+
+ gigaslam: gigaslam.o
+ $(CC) -o $@ gigaslam.o
|
[-]
[+]
|
Added |
bacula-2.4.4-fortify.diff
^
|
@@ -0,0 +1,165 @@
+--- src/console/console_conf.c
++++ src/console/console_conf.c
+@@ -74,7 +74,12 @@
+ #else
+ URES res_all;
+ #endif
+-int res_all_size = sizeof(res_all);
++
++void
++res_all_memset(void* s, int i)
++{
++ memset(s,i,sizeof(res_all));
++}
+
+ /* Definition of records permitted within each
+ * resource with the routine to process the record
+--- src/dird/dird_conf.c
++++ src/dird/dird_conf.c
+@@ -93,8 +93,12 @@
+ #else
+ URES res_all;
+ #endif
+-int res_all_size = sizeof(res_all);
+
++void
++res_all_memset(void* s, int i)
++{
++ memset(s,i,sizeof(res_all));
++}
+
+ /* Definition of records permitted within each
+ * resource with the routine to process the record
+--- src/dird/inc_conf.c
++++ src/dird/inc_conf.c
+@@ -72,7 +72,6 @@
+ #else
+ extern URES res_all;
+ #endif
+-extern int res_all_size;
+
+ /* We build the current new Include and Exclude items here */
+ static INCEXE res_incexe;
+--- src/filed/filed_conf.c
++++ src/filed/filed_conf.c
+@@ -77,7 +77,12 @@
+ #else
+ URES res_all;
+ #endif
+-int res_all_size = sizeof(res_all);
++
++void
++res_all_memset(void* s, int i)
++{
++ memset(s,i,sizeof(res_all));
++}
+
+ /* Definition of records permitted within each
+ * resource with the routine to process the record
+--- src/gnome2-console/console_conf.c
++++ src/gnome2-console/console_conf.c
+@@ -70,7 +70,12 @@
+ * scan is complete.
+ */
+ URES res_all;
+-int res_all_size = sizeof(res_all);
++
++void
++res_all_memset(void* s, int i)
++{
++ memset(s,i,sizeof(res_all));
++}
+
+ /* Definition of records permitted within each
+ * resource with the routine to process the record
+--- src/lib/parse_conf.c
++++ src/lib/parse_conf.c
+@@ -93,7 +93,6 @@
+ #else
+ extern URES res_all;
+ #endif
+-extern int res_all_size;
+
+ extern brwlock_t res_lock; /* resource lock */
+
+@@ -201,7 +200,7 @@
+ int i;
+ int rindex = type - r_first;
+
+- memset(&res_all, 0, res_all_size);
++ res_all_memset(&res_all, 0);
+ res_all.hdr.rcode = type;
+ res_all.hdr.refcnt = 1;
+
+--- src/lib/parse_conf.h
++++ src/lib/parse_conf.h
+@@ -163,3 +163,5 @@
+ void store_size(LEX *lc, RES_ITEM *item, int index, int pass);
+ void store_defs(LEX *lc, RES_ITEM *item, int index, int pass);
+ void store_label(LEX *lc, RES_ITEM *item, int index, int pass);
++
++void res_all_memset(void* s, int i);;
+--- src/qt-console/bat_conf.cpp
++++ src/qt-console/bat_conf.cpp
+@@ -70,7 +70,12 @@
+ * scan is complete.
+ */
+ URES res_all;
+-int res_all_size = sizeof(res_all);
++
++void
++res_all_memset(void* s, int i)
++{
++ memset(s,i,sizeof(res_all));
++}
+
+ /* Definition of records permitted within each
+ * resource with the routine to process the record
+--- src/stored/stored_conf.c
++++ src/stored/stored_conf.c
+@@ -56,7 +56,12 @@
+ #else
+ URES res_all;
+ #endif
+-int res_all_size = sizeof(res_all);
++
++void
++res_all_memset(void* s, int i)
++{
++ memset(s,i,sizeof(res_all));
++}
+
+ /* Definition of records permitted within each
+ * resource with the routine to process the record
+--- src/tray-monitor/tray_conf.c
++++ src/tray-monitor/tray_conf.c
+@@ -67,8 +67,12 @@
+ * scan is complete.
+ */
+ URES res_all;
+-int res_all_size = sizeof(res_all);
+
++void
++res_all_memset(void* s, int i)
++{
++ memset(s,i,sizeof(res_all));
++}
+
+ /* Definition of records permitted within each
+ * resource with the routine to process the record
+--- src/wx-console/console_conf.c
++++ src/wx-console/console_conf.c
+@@ -86,7 +86,12 @@
+ #else
+ URES res_all;
+ #endif
+-int res_all_size = sizeof(res_all);
++
++void
++res_all_memset(void* s, int i)
++{
++ memset(s,i,sizeof(res_all));
++}
+
+ /* Definition of records permitted within each
+ * resource with the routine to process the record
|
[-]
[+]
|
Added |
bacula-2.4.4-python.diff
^
|
@@ -0,0 +1,8 @@
+--- scripts/dvd-handler.in
++++ scripts/dvd-handler.in
+@@ -1,4 +1,4 @@
+-#!@PYTHON@
++#!/usr/bin/python
+ #
+ # Check the free space available on a writable DVD
+ # Should always exit with 0 status, otherwise it indicates a serious error.
|
|
Added |
bacula-2.4.4.tar.bz2
^
|
[-]
[+]
|
Added |
bacula-dir.fw
^
|
@@ -0,0 +1,5 @@
+## Name: Bacula Director
+## Description: Bacula network backup system director daemon
+
+# space separated list of allowed TCP ports
+TCP="9101"
|
[-]
[+]
|
Added |
bacula-dir.init
^
|
@@ -0,0 +1,88 @@
+#! /bin/sh
+
+# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
+# All rights reserved.
+
+### BEGIN INIT INFO
+# Provides: bacula-dir
+# Required-Start: $local_fs $network mysql $remote_fs
+# Required-Stop: $local_fs $network mysql $remote_fs
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: bacula director
+# Description: Bacula network backup system director daemon
+### END INIT INFO
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v ditto but be verbose in local rc status
+# rc_status -v -r ditto and clear the local rc status
+# rc_failed set local and overall rc status to failed
+# rc_failed <num> set local and overall rc status to <num><num>
+# rc_reset clear local rc status (overall remains)
+# rc_exit exit appropriate to overall rc status
+
+. /etc/rc.status
+
+BACULA_FD_BIN=/usr/sbin/bacula-dir
+test -x $BACULA_FD_BIN || { echo "$BACULA_FD_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+
+case "$1" in
+ start)
+ echo -n "Starting the Bacula Director daemon"
+ startproc -q $BACULA_FD_BIN -c /etc/bacula/bacula-dir.conf
+
+ rc_status -v
+ ;;
+
+
+ stop)
+ echo -n "Shutting down the Bacula Director daemon"
+
+ killproc -TERM $BACULA_FD_BIN
+
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset
+ fi
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+
+ rc_status
+ ;;
+ force-reload)
+
+ $0 try-restart
+ rc_status
+ ;;
+ reload)
+ rc_failed 3
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service the Bacula Director daemon"
+ checkproc $BACULA_FD_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+rc_exit
+
|
[-]
[+]
|
Added |
bacula-fd.fw
^
|
@@ -0,0 +1,5 @@
+## Name: Bacula File Daemon
+## Description: Bacula network backup system file daemon
+
+# space separated list of allowed TCP ports
+TCP="9102"
|
[-]
[+]
|
Added |
bacula-fd.init
^
|
@@ -0,0 +1,89 @@
+#! /bin/sh
+
+# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
+# All rights reserved.
+
+
+### BEGIN INIT INFO
+# Provides: bacula-fd
+# Required-Start: $local_fs $network $remote_fs
+# Required-Stop: $local_fs $network $remote_fs
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: bacula file daemon
+# Description: Bacula network backup system file daemon
+### END INIT INFO
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v ditto but be verbose in local rc status
+# rc_status -v -r ditto and clear the local rc status
+# rc_failed set local and overall rc status to failed
+# rc_failed <num> set local and overall rc status to <num><num>
+# rc_reset clear local rc status (overall remains)
+# rc_exit exit appropriate to overall rc status
+
+. /etc/rc.status
+
+BACULA_FD_BIN=/usr/sbin/bacula-fd
+test -x $BACULA_FD_BIN || { echo "$BACULA_FD_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+
+case "$1" in
+ start)
+ echo -n "Starting the Bacula File daemon"
+ startproc -q $BACULA_FD_BIN -c /etc/bacula/bacula-fd.conf
+
+ rc_status -v
+ ;;
+
+
+ stop)
+ echo -n "Shutting down the Bacula File daemon"
+
+ killproc -TERM $BACULA_FD_BIN
+
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset
+ fi
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+
+ rc_status
+ ;;
+ force-reload)
+
+ $0 try-restart
+ rc_status
+ ;;
+ reload)
+ rc_failed 3
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service the Bacula File daemon"
+ checkproc $BACULA_FD_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+rc_exit
+
|
[-]
[+]
|
Added |
bacula-sd.fw
^
|
@@ -0,0 +1,5 @@
+## Name: Bacula Storage Daemon
+## Description: Bacula network backup system storage daemon
+
+# space separated list of allowed TCP ports
+TCP="9103"
|
[-]
[+]
|
Added |
bacula-sd.init
^
|
@@ -0,0 +1,88 @@
+#! /bin/sh
+
+# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
+# All rights reserved.
+
+### BEGIN INIT INFO
+# Provides: bacula-sd
+# Required-Start: $local_fs $network $remote_fs
+# Required-Stop: $local_fs $network $remote_fs
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: bacula storage daemon
+# Description: Bacula network backup system storage daemon
+### END INIT INFO
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v ditto but be verbose in local rc status
+# rc_status -v -r ditto and clear the local rc status
+# rc_failed set local and overall rc status to failed
+# rc_failed <num> set local and overall rc status to <num><num>
+# rc_reset clear local rc status (overall remains)
+# rc_exit exit appropriate to overall rc status
+
+. /etc/rc.status
+
+BACULA_SD_BIN=/usr/sbin/bacula-sd
+test -x $BACULA_SD_BIN || { echo "$BACULA_SD_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+
+case "$1" in
+ start)
+ echo -n "Starting the Bacula Storage daemon"
+ startproc -q $BACULA_SD_BIN -c /etc/bacula/bacula-sd.conf
+
+ rc_status -v
+ ;;
+
+
+ stop)
+ echo -n "Shutting down the Bacula Storage daemon"
+
+ killproc -TERM $BACULA_SD_BIN
+
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset
+ fi
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+
+ rc_status
+ ;;
+ force-reload)
+
+ $0 try-restart
+ rc_status
+ ;;
+ reload)
+ rc_failed 3
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service the Bacula Storage daemon"
+ checkproc $BACULA_SD_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+rc_exit
+
|